Index: /trunk/sources/HeuristicLab.Core/VariableInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/VariableInfo.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/VariableInfo.cs	(revision 776)
@@ -26,6 +26,13 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Class for storing meta-information about variables/parameters of an operator.
+  /// </summary>
   public class VariableInfo : ItemBase, IVariableInfo {
     private string myActualName;
+    /// <summary>
+    /// Gets or sets the actual name of the current instance.
+    /// </summary>
+    /// <remarks>Calls <see cref="OnActualNameChanged"/> in the setter.</remarks>
     public string ActualName {
       get { return myActualName; }
@@ -38,20 +45,36 @@
     }
     private string myFormalName;
+    /// <summary>
+    /// Gets the formal name of the current instance.
+    /// </summary>
     public string FormalName {
       get { return myFormalName; }
     }
     private string myDescription;
+    /// <summary>
+    /// Gets the description of the current instance.
+    /// </summary>
     public string Description {
       get { return myDescription; }
     }
     private Type myDataType;
+    /// <summary>
+    /// Gets the data type of the parameter.
+    /// </summary>
     public Type DataType {
       get { return myDataType; }
     }
     private VariableKind myKind;
+    /// <summary>
+    /// Gets the kind of the parameter (input parameter, output parameter,...).
+    /// </summary>
     public VariableKind Kind {
       get { return myKind; }
     }
     private bool myLocal;
+    /// <summary>
+    /// Gets or sets a boolean value, whether the variable is a local one. 
+    /// </summary>
+    /// <remarks>Calls <see cref="OnLocalChanged"/> in the setter.</remarks>
     public bool Local {
       get { return myLocal; }
@@ -64,4 +87,9 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableInfo"/> with actual and formal name "Anonymous",
+    /// no description, a <c>null</c> data type and the <c>local</c> flag set to <c>false</c>. The type of 
+    /// the variable is an input parameter.
+    /// </summary>
     public VariableInfo() {
       myActualName = "Anonymous";
@@ -72,4 +100,13 @@
       myLocal = false;
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableInfo"/> with the given parameters.
+    /// </summary>
+    /// <remarks>Calls <see cref="VariableInfo()"/>.<br/>
+    /// The formal name is assigned to the actual name, too.</remarks>
+    /// <param name="formalName">The formal name of the current instance.</param>
+    /// <param name="description">The description of the current instance.</param>
+    /// <param name="dataType">The data type of the parameter.</param>
+    /// <param name="kind">The type of the parameter.</param>
     public VariableInfo(string formalName, string description, Type dataType, VariableKind kind)
       : this() {
@@ -81,8 +118,18 @@
     }
 
+    /// <summary>
+    /// Creates a new instance of <see cref="VariableInfoView"/> to represent the current instance
+    /// visually.
+    /// </summary>
+    /// <returns>The created view as <see cref="VariableInfoView"/>.</returns>
     public override IView CreateView() {
       return new VariableInfoView(this);
     }
 
+    /// <summary>
+    /// Clones the current instance (deep clone).
+    /// </summary>
+    /// <param name="clonedObjects">Dictionary of all already cloned objects. (Needed to avoid cycles.)</param>
+    /// <returns>The cloned object as <see cref="VariableInfo"/>.</returns>
     public override object Clone(IDictionary<Guid, object> clonedObjects) {
       VariableInfo clone = new VariableInfo();
@@ -97,10 +144,18 @@
     }
 
+    /// <inheritdoc/>
     public event EventHandler ActualNameChanged;
+    /// <summary>
+    /// Fires a new <c>ActualNameChanged</c> event.
+    /// </summary>
     protected virtual void OnActualNameChanged() {
       if (ActualNameChanged != null)
         ActualNameChanged(this, new EventArgs());
     }
+    /// <inheritdoc />
     public event EventHandler LocalChanged;
+    /// <summary>
+    /// Fires a new <c>LocalChanged</c> event.
+    /// </summary>
     protected virtual void OnLocalChanged() {
       if (LocalChanged != null)
@@ -109,4 +164,38 @@
 
     #region Persistence Methods
+    /// <summary>
+    /// Saves the current instance as <see cref="XmlNode"/> in the specified <paramref name="document"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="StorableBase.GetXmlNode"/> of base class <see cref="ItemBase"/>. <br/>
+    /// A quick overview how the single elements of the current instance are saved:
+    /// <list type="bullet">
+    /// <item>
+    /// <term>Actual name: </term>
+    /// <description>Saved as <see cref="XmlAttribute"/> with tag name <c>ActualName</c>.</description>
+    /// </item>
+    /// <item>
+    /// <term>Formal name: </term>
+    /// <description>Saves as <see cref="XmlAttribute"/> with tag name <c>FormalName</c>.</description>
+    /// </item> 
+    /// <item>
+    /// <term>Description: </term>
+    /// <description>Saved as <see cref="XmlAttribute"/> with tag name <c>Description</c>.</description>
+    /// </item>
+    /// <item><term>Data type: </term>
+    /// <description>Saved as <see cref="XmlAttribute"/> with tag name <c>DataType</c>.</description>
+    /// </item>
+    /// <item>
+    /// <term>Kind: </term>
+    /// <description>Saved as <see cref="XmlAttribute"/> with tag name <c>Kind</c>.</description>
+    /// </item>
+    /// <item>
+    /// <term>Local: </term>
+    /// <description>Saved as <see cref="XmlAttribute"/> with tag name <c>Local</c>.</description>
+    /// </item>
+    /// </list></remarks>
+    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
+    /// <param name="document">The <see cref="XmlDocument"/> where to save the data.</param>
+    /// <param name="persistedObjects">The dictionary of all already persisted objects. (Needed to avoid cycles.)</param>
+    /// <returns>The saved <see cref="XmlNode"/>.</returns>
     public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid,IStorable> persistedObjects) {
       XmlNode node = base.GetXmlNode(name, document, persistedObjects);
@@ -137,4 +226,13 @@
       return node;
     }
+    /// <summary>
+    /// Loads the persisted variable info from the specified <paramref name="node"/>.
+    /// </summary>
+    /// <remarks>See <see cref="GetXmlNode"/> for further information on how the variable info must be 
+    /// saved. <br/>
+    /// Calls <see cref="StorableBase.Populate"/> of base class <see cref="ItemBase"/>.</remarks>
+    /// <param name="node">The <see cref="XmlNode"/> where the variable info is saved.</param>
+    /// <param name="restoredObjects">The dictionary of all already restored objects. 
+    /// (Needed to avoid cycles.)</param>
     public override void Populate(XmlNode node, IDictionary<Guid,IStorable> restoredObjects) {
       base.Populate(node, restoredObjects);
Index: /trunk/sources/HeuristicLab.Core/VariableInfoEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/VariableInfoEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/VariableInfoEventArgs.cs	(revision 776)
@@ -25,9 +25,23 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected variable info.
+  /// </summary>
   public class VariableInfoEventArgs : ItemEventArgs {
+    /// <summary>
+    /// Gets the affected variable info.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ItemEventArgs.Item"/> of base class <see cref="ItemEventArgs"/>.
+    /// No own data storage present.</remarks>
     public IVariableInfo VariableInfo {
       get { return (IVariableInfo)Item; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableInfoEventArgs"/> with the specified 
+    /// <paramref name="variableInfo"/>.
+    /// </summary>
+    /// <remarks>Calls constructor of base class <see cref="ItemEventArgs"/>.</remarks>
+    /// <param name="variableInfo">The affected variable info.</param>
     public VariableInfoEventArgs(IVariableInfo variableInfo)
       : base(variableInfo) {
Index: /trunk/sources/HeuristicLab.Core/VariableInfoView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/VariableInfoView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/VariableInfoView.cs	(revision 776)
@@ -29,5 +29,13 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The visual representation of <see cref="IVariableInfo"/>.
+  /// </summary>
   public partial class VariableInfoView : ViewBase {
+    /// <summary>
+    /// Gets or sets the variable information to represent visually.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
+    /// No own data storage present.</remarks>
     public IVariableInfo VariableInfo {
       get { return (IVariableInfo)Item; }
@@ -35,8 +43,17 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableInfoView"/> with caption "Variable Info".
+    /// </summary>
     public VariableInfoView() {
       InitializeComponent();
       Caption = "Variable Info";
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableInfoView"/> 
+    /// with the given <paramref name="variableInfo"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="VariableInfoView()"/>.</remarks>
+    /// <param name="variableInfo">The variable info to represent visually.</param>
     public VariableInfoView(IVariableInfo variableInfo)
       : this() {
@@ -44,4 +61,9 @@
     }
 
+    /// <summary>
+    /// Removes the eventhandlers from the underlying <see cref="IVariableInfo"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.RemoveItemEvents"/> of base class 
+    /// <see cref="ViewBase"/>.</remarks>
     protected override void RemoveItemEvents() {
       VariableInfo.ActualNameChanged -= new EventHandler(VariableInfo_ActualNameChanged);
@@ -49,4 +71,8 @@
       base.RemoveItemEvents();
     }
+    /// <summary>
+    /// Adds eventhandlers to the underlying <see cref="IVariableInfo"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.AddItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void AddItemEvents() {
       base.AddItemEvents();
@@ -54,5 +80,8 @@
       VariableInfo.LocalChanged += new EventHandler(VariableInfo_LocalChanged);
     }
-
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
Index: /trunk/sources/HeuristicLab.Core/VariableKind.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/VariableKind.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/VariableKind.cs	(revision 776)
@@ -25,10 +25,28 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Represents the type of a variable (input, output,...).
+  /// </summary>
   [FlagsAttribute]
   public enum VariableKind {
+    /// <summary>
+    /// Flag for doing nothing with the variable.
+    /// </summary>
     None = 0,
+    /// <summary>
+    /// Flag for creating a new variable.
+    /// </summary>
     New = 1,
+    /// <summary>
+    /// Flag for changing value of a variable.
+    /// </summary>
     Out = 2,
+    /// <summary>
+    /// Flag for reading value of a variable.
+    /// </summary>
     In = 4,
+    /// <summary>
+    /// Flag for deleting a variable.
+    /// </summary>
     Deleted = 8
   }
Index: /trunk/sources/HeuristicLab.Core/VariableView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/VariableView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/VariableView.cs	(revision 776)
@@ -29,7 +29,15 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The visual representation of an <see cref="IVariable"/>.
+  /// </summary>
   public partial class VariableView : ViewBase {
     private ChooseItemDialog chooseItemDialog;
 
+    /// <summary>
+    /// Gets or sets the variable to represent visually.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
+    /// No own data storage present.</remarks>
     public IVariable Variable {
       get { return (IVariable)Item; }
@@ -37,8 +45,16 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableView"/> with caption "Variable".
+    /// </summary>
     public VariableView() {
       InitializeComponent();
       Caption = "Variable";
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableView"/> with the given <paramref name="variable"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
+    /// <param name="variable">The variable to represent visually.</param>
     public VariableView(IVariable variable)
       : this() {
@@ -46,4 +62,8 @@
     }
 
+    /// <summary>
+    /// Removes the eventhandlers from the underlying <see cref="IVariable"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.RemoveItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void RemoveItemEvents() {
       Variable.NameChanged -= new EventHandler(Variable_NameChanged);
@@ -51,4 +71,8 @@
       base.RemoveItemEvents();
     }
+    /// <summary>
+    /// Adds eventhandlers to the underlying <see cref="IVariable"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.AddItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void AddItemEvents() {
       base.AddItemEvents();
@@ -57,4 +81,8 @@
     }
 
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
Index: /trunk/sources/HeuristicLab.Core/VariablesScopeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/VariablesScopeView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/VariablesScopeView.cs	(revision 776)
@@ -29,7 +29,15 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The visual representation of all variables in a specified scope.
+  /// </summary>
   public partial class VariablesScopeView : ViewBase {
     private ChooseItemDialog chooseItemDialog;
 
+    /// <summary>
+    /// Gets or sets the scope whose variables to represent visually.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
+    /// No won data storage present.</remarks>
     public IScope Scope {
       get { return (IScope)Item; }
@@ -37,8 +45,17 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariablesScopeView"/> with caption "Variables Scope View".
+    /// </summary>
     public VariablesScopeView() {
       InitializeComponent();
       Caption = "Variables Scope View";
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariablesScopeView"/> with 
+    /// the given <paramref name="scope"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="VariablesScopeView()"/>.</remarks>
+    /// <param name="scope">The scope whose variables should be represented visually.</param>
     public VariablesScopeView(IScope scope)
       : this() {
@@ -46,4 +63,8 @@
     }
 
+    /// <summary>
+    /// Removes the eventhandlers from the underlying <see cref="IScope"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.RemoveItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void RemoveItemEvents() {
       Scope.VariableAdded -= new EventHandler<VariableEventArgs>(Scope_VariableAdded);
@@ -51,4 +72,8 @@
       base.RemoveItemEvents();
     }
+    /// <summary>
+    /// Adds eventhandlers to the underlying <see cref="IScope"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.AddItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void AddItemEvents() {
       base.AddItemEvents();
@@ -57,4 +82,8 @@
     }
 
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
Index: /trunk/sources/HeuristicLab.Core/ViewBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ViewBase.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ViewBase.cs	(revision 776)
@@ -30,6 +30,15 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Base class for all visual representations.
+  /// </summary>
   public partial class ViewBase : UserControl, IView {
     private IItem myItem;
+    /// <summary>
+    /// Gets or sets the item to represent visually.
+    /// </summary>
+    /// <remarks>Calls <see cref="OnItemChanged"/>, <see cref="Refresh"/>, 
+    /// <see cref="RemoveItemEvents"/> (if the current item is not null) and 
+    /// <see cref="AddItemEvents"/> (if the new item is not null) in the setter.</remarks>
     public IItem Item {
       get { return myItem; }
@@ -47,4 +56,8 @@
     }
     private string myCaption;
+    /// <summary>
+    /// Gets or sets the caption of the current instance.
+    /// </summary>
+    /// <remarks>Call <see cref="OnCaptionChanged"/> in the setter if a new item is set.</remarks>
     public string Caption {
       get { return myCaption; }
@@ -57,4 +70,7 @@
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ViewBase"/> with the caption "View".
+    /// </summary>
     public ViewBase() {
       InitializeComponent();
@@ -62,7 +78,20 @@
     }
 
+    /// <summary>
+    /// Removes the eventhandlers from the current instance.
+    /// </summary>
     protected virtual void RemoveItemEvents() { }
+    /// <summary>
+    /// Adds eventhandlers to the current instance.
+    /// </summary>
     protected virtual void AddItemEvents() { }
 
+    /// <summary>
+    /// Refreshes the current view.
+    /// </summary>
+    /// <remarks>Creates a new <see cref="MethodInvoker"/> if an invoke is required 
+    /// (see <see cref="Control.InvokeRequired"/>.<br/>
+    /// Otherwise calls <see cref="UpdateControls"/> and <see cref="Control.Refresh"/> of base class 
+    /// <see cref="System.Windows.Forms.UserControl"/>.</remarks>
     public override void Refresh() {
       if (InvokeRequired) {
@@ -73,4 +102,7 @@
       }
     }
+    /// <summary>
+    /// Updates the controls with the latest values of the model.
+    /// </summary>
     protected virtual void UpdateControls() {
       if (Item == null)
@@ -81,10 +113,22 @@
     }
 
+    /// <summary>
+    /// Occurs when the current item was changed.
+    /// </summary>
     public event EventHandler ItemChanged;
+    /// <summary>
+    /// Fires a new <c>ItemChanged</c> event.
+    /// </summary>
     protected virtual void OnItemChanged() {
       if (ItemChanged != null)
         ItemChanged(this, new EventArgs());
     }
+    /// <summary>
+    /// Occurs when the current caption was changed.
+    /// </summary>
     public event EventHandler CaptionChanged;
+    /// <summary>
+    /// Fires a new <c>CaptionChanged</c> event.
+    /// </summary>
     protected virtual void OnCaptionChanged() {
       if (CaptionChanged != null)
@@ -92,4 +136,8 @@
     }
 
+    /// <summary>
+    /// Asynchron call of GUI updating.
+    /// </summary>
+    /// <param name="method">The delegate to invoke.</param>
     protected new void Invoke(Delegate method) {
       // enforce context switch to improve GUI response time
@@ -101,4 +149,9 @@
       if (!IsDisposed) EndInvoke(result);
     }
+    /// <summary>
+    /// Asynchron call of GUI updating.
+    /// </summary>
+    /// <param name="method">The delegate to invoke.</param>
+    /// <param name="args">The invoke arguments.</param>
     protected new void Invoke(Delegate method, params object[] args) {
       // enforce context switch to improve GUI response time
Index: /trunk/sources/HeuristicLab.Data/BoolData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/BoolData.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Data/BoolData.cs	(revision 776)
@@ -93,5 +93,6 @@
     /// (see <see cref="GetXmlNode"/>).</remarks>
     /// <param name="node">The <see cref="XmlNode"/> where the boolean value is saved.</param>
-    /// <param name="restoredObjects">The dictionary of all already restored objects. (Needed to avoid cycles.)</param>
+    /// <param name="restoredObjects">The dictionary of all already restored objects. 
+    /// (Needed to avoid cycles.)</param>
     public override void Populate(XmlNode node, IDictionary<Guid,IStorable> restoredObjects) {
       base.Populate(node, restoredObjects);
